function [] = startup_STB(stb)
% STARTUP_STB  path/environment setup script for sundialsTB

% Radu Serban <radu@llnl.gov>
% Copyright (c) 2007, The Regents of the University of California.
% $Revision: 1.7 $Date: 2007/12/05 21:58:17 $

% If called without any argument, use the path specified which was
% harcoded when startup_STB.m was created.

if nargin == 0
  stb_path = './octave';
  stb = fullfile(stb_path,'sundialsTB');
end
  

if ~exist(stb, 'dir')
  warning('SUNDIALS Toolbox not found'); 
  return
end

% Add top-level directory to path

addpath(stb);

% Add sundialsTB components to path

q = fullfile(stb,'cvodes');
if exist(q, 'dir')
  addpath(q);
  q = fullfile(stb,'cvodes','cvm');
  addpath(q);
  q = fullfile(stb,'cvodes','function_types');
  addpath(q);
end

q = fullfile(stb,'idas');
if exist(q, 'dir')
  addpath(q);
  q = fullfile(stb,'idas','idm');
  addpath(q);
  q = fullfile(stb,'idas','function_types');
  addpath(q);
end

q = fullfile(stb,'kinsol');
if exist(q, 'dir')
  addpath(q);
  q = fullfile(stb,'kinsol','kim');
  addpath(q);
  q = fullfile(stb,'kinsol','function_types');
  addpath(q);
end

q = fullfile(stb,'nvector');
if exist(q, 'dir')
  addpath(q);
end

q = fullfile(stb,'putils');
if exist(q, 'dir')
  addpath(q);
end


